OGRE-Next: Ogre::v1::TempBlendedBufferInfo Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::TempBlendedBufferInfo Class Reference
Core » RenderSystem

Structure for recording the use of temporary blend buffers. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::TempBlendedBufferInfo:
[legend]

## Public Member Functions
| ~TempBlendedBufferInfo () override
void | bindTempCopies (VertexData *targetData, bool suppressHardwareUpload)
| Utility method, binds dest copies into a given VertexData struct.
bool | buffersCheckedOut (bool positions=true, bool normals=true) const
| Detect currently have buffer copies checked out and touch it.
void | checkoutTempCopies (bool positions=true, bool normals=true)
| Utility method, checks out temporary copies of src into dest.
void | extractFrom (const VertexData *sourceData)
| Utility method, extract info from the given VertexData.
void | licenseExpired (HardwareBuffer *buffer) override
| Overridden member from HardwareBufferLicensee.
Public Member Functions inherited from Ogre::v1::HardwareBufferLicensee
virtual | ~HardwareBufferLicensee ()

## Detailed Description

Structure for recording the use of temporary blend buffers.

## Constructor & Destructor Documentation

## ◆ ~TempBlendedBufferInfo()

Ogre::v1::TempBlendedBufferInfo::~TempBlendedBufferInfo | ( |  | ) |
| override

## Member Function Documentation

## ◆ bindTempCopies()

void Ogre::v1::TempBlendedBufferInfo::bindTempCopies | ( | VertexData * | targetData,
|  | bool | suppressHardwareUpload )

Utility method, binds dest copies into a given VertexData struct.

## ◆ buffersCheckedOut()

bool Ogre::v1::TempBlendedBufferInfo::buffersCheckedOut | ( | bool | positions = true,
|  | bool | normals = true ) const

Detect currently have buffer copies checked out and touch it.

## ◆ checkoutTempCopies()

void Ogre::v1::TempBlendedBufferInfo::checkoutTempCopies | ( | bool | positions = true,
|  | bool | normals = true )

Utility method, checks out temporary copies of src into dest.

## ◆ extractFrom()

void Ogre::v1::TempBlendedBufferInfo::extractFrom | ( | const VertexData * | sourceData | ) |

Utility method, extract info from the given VertexData.

## ◆ licenseExpired()

void Ogre::v1::TempBlendedBufferInfo::licenseExpired | ( | HardwareBuffer * | buffer | ) |
| overridevirtual

Overridden member from HardwareBufferLicensee.

Implements Ogre::v1::HardwareBufferLicensee.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h